This queue is for tickets about the CPAN CPAN distribution.

Report information
The Basics
Id:
2667
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
ANDK [...] cpan.org
Requestors:
patricksand2001 [...] yahoo.com
Cc:
AdminCc:

BugTracker
Severity:
Important
Broken in:
1.70
Fixed in:
(no value)



Subject: Bundle::CPAN fails with "...may be a broken bundle file"
Running either Active State 5.80 or Linux 5.80 perl and after running perl -MCPAN -e shell, I try: install Bundle::CPAN it retrieves the file okay, but ends with this error message: The bundle file "\.cpan\Bundle\CPAN.pm" may be a broken bundlefile. It seems not to contain any bundle definition. Please check the file and if it is bogus, please delete it. Sorry for the inconvenience. The bundle file "\.cpan\Bundle\CPAN.pm" may be a broken bundlefile. It seems not to contain any bundle definition. Please check the file and if it is bogus, please delete it. Sorry for the inconvenience. The bundle file "\.cpan\Bundle\CPAN.pm" may be a broken bundlefile. It seems not to contain any bundle definition. Please check the file and if it is bogus, please delete it. Sorry for the inconvenience. The bundle file "\.cpan\Bundle\CPAN.pm" may be a broken bundlefile. It seems not to contain any bundle definition. Please check the file and if it is bogus, please delete it. Sorry for the inconvenience. (repeated 4 times)...running CPAN 1.58 and trying to upgrade to CPAN 1.70... Please advise on how to work around this or fix this...
From: Thierry Steinberg <goujon@gmx.net>
Show quoted text
> The bundle file "\.cpan\Bundle\CPAN.pm" may be a broken > bundlefile. It seems not to contain any bundle definition. > Please check the file and if it is bogus, please delete it. > Sorry for the inconvenience.
I've experienced the same problem. The following change solved these problems for me: In CPAN.pm, line 4942, change $from = $self->find_bundle_file($dist->{'build_dir'},$me); to $from = $self->find_bundle_file($dist->{'build_dir'},$me[-1]); Otherwise find_bundle_file doesn't find the correct bundle file (the array item $me[-1] is the name of the file which should contain the bundle info, whereas the scalar $me is a part of the install path). Hope this helps ! Regards, Thierry
From: adam@rfox.net
[guest - Sun Apr 25 13:37:09 2004]:
Show quoted text
> In CPAN.pm, line 4942, change > $from = $self->find_bundle_file($dist->{'build_dir'},$me); > to > $from = $self->find_bundle_file($dist->{'build_dir'},$me[-1]);
I tried making this change, but it did not seem to help. Here is my environment. This is perl, v5.8.4 built for MSWin32-x86-multi-thread (with 3 registered patches, see perl -V for more detail) Copyright 1987-2004, Larry Wall Binary build 810 provided by ActiveState Corp. Built Jun 1 2004 11:52:21 Summary of my perl5 (revision 5 version 8 subversion 4) configuration: Platform: osname=MSWin32, osvers=4.0, archname=MSWin32-x86-multi-thread uname='' config_args='undef' hint=recommended, useposix=true, d_sigaction=undef usethreads=undef use5005threads=undef useithreads=define usemultiplicity=define useperlio=define d_sfio=undef uselargefiles=define usesocks=undef use64bitint=undef use64bitall=undef uselongdouble=undef usemymalloc=n, bincompat5005=undef Compiler: cc='cl', ccflags ='-nologo -Gf -W3 -MD -Zi -DNDEBUG -O1 -DWIN32 - D_CONSOLE - DNO_STRICT -DHAVE_DES_FCRYPT -DNO_HASH_SEED -DPERL_IMPLICIT_CONTEXT - DPERL_IMPLICIT_SYS -DUSE_PERLIO -DPERL_MSVCRT_READFIX', optimize='-MD -Zi -DNDEBUG -O1', cppflags='-DWIN32' ccversion='', gccversion='', gccosandvers='' intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=1234 d_longlong=undef, longlongsize=8, d_longdbl=define, longdblsize=10 ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='__int64', lseeksize=8 alignbytes=8, prototype=define Linker and Libraries: ld='link', ldflags ='-nologo -nodefaultlib -debug -opt:ref,icf - libpath:"C:\Perl\lib\CORE" -machine:x86' libpth=C:\PROGRA~1\MICROS~3\VC98\lib libs= oldnames.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib netapi32.lib uuid.lib wsock32.lib mpr.lib winmm.lib version.lib odbc32.lib odbccp32.lib msvcrt.lib perllibs= oldnames.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib netapi32.lib uuid.lib wsock32.lib mpr.lib winmm.lib version.lib odbc32.lib odbccp32.lib msvcrt.lib libc=msvcrt.lib, so=dll, useshrplib=yes, libperl=perl58.lib gnulibc_version='undef' Dynamic Linking: dlsrc=dl_win32.xs, dlext=dll, d_dlsymun=undef, ccdlflags=' ' cccdlflags=' ', lddlflags='-dll -nologo -nodefaultlib -debug - opt:ref,icf - libpath:"C:\Perl\lib\CORE" -machine:x86' Characteristics of this binary (from libperl): Compile-time options: MULTIPLICITY USE_ITHREADS USE_LARGE_FILES PERL_IMPLICIT_ CONTEXT PERL_IMPLICIT_SYS Locally applied patches: ActivePerl Build 810 22751 Update to Test.pm 1.25 21540 Fix backward-compatibility issues in if.pm Built under MSWin32 Compiled at Jun 1 2004 11:52:21 @INC: c:/Perl/lib c:/Perl/site/lib .


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.